<?php if($blog_cat_show == 'yes'): $cat = get_the_category(); ?>
    <a 
        class="post-cat" 
        href="<?php echo get_category_link($cat[0]->term_id); ?>"
        style="<?php echo esc_attr(vinkmag_cat_style($cat[0]->term_id)); ?>"
        >
        <?php echo get_cat_name($cat[0]->term_id); ?>
    </a>
<?php endif; ?>